package w83b.w83bBeans;



/*
 * @author jrgil 
 */
public class W83bListaDiferenciasEqualsBean extends W83bListaDiferenciasBean{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6133830676392722848L;


	/**
	 * equals.
	 *
	 * @param diferencia the otros valores
	 * @return the object
	 */
	public boolean equals(Object diferencia){
		if(null!=diferencia&&
			((null==((W83bListaDiferenciasBean)diferencia).getSindicato()&&
					null==this.getSindicato())
			||
			(this.getSindicato().equals(((W83bListaDiferenciasBean)diferencia).getSindicato())
					&&
			 this.getCodColegio().equals(((W83bListaDiferenciasBean)diferencia).getCodColegio()))
			)
		){
			return true;
		}
		return false;
	}

	
}
